Schedule a workflow
curl --request PUT \
--url https://api.kadoa.com/v4/workflows/{workflowId}/schedule \
--header 'Content-Type: application/json' \
--header 'x-api-key: <api-key>' \
--data '
{
"date": "2023-10-07T10:00:00.000Z"
}
'import requests
url = "https://api.kadoa.com/v4/workflows/{workflowId}/schedule"
payload = { "date": "2023-10-07T10:00:00.000Z" }
headers = {
"x-api-key": "<api-key>",
"Content-Type": "application/json"
}
response = requests.put(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'PUT',
headers: {'x-api-key': '<api-key>', 'Content-Type': 'application/json'},
body: JSON.stringify({date: '2023-10-07T10:00:00.000Z'})
};
fetch('https://api.kadoa.com/v4/workflows/{workflowId}/schedule', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
"Workflow scheduled"Workflows
Schedule a workflow
PUT
/
v4
/
workflows
/
{workflowId}
/
schedule
Schedule a workflow
Authorizations
API key for authentication
Path Parameters
The ID of the workflow to schedule
Body
application/json
ISO date (attention its timezone UTC) string required in request body
Example:
"2023-10-07T10:00:00.000Z"
Response
Workflow scheduled successfully
The response is of type string.
Example:
"Workflow scheduled"
⌘I